SET(LEMON_INCLUDE_DIR "/usr/include" CACHE PATH "LEMON include directory")
SET(LEMON_INCLUDE_DIRS "${LEMON_INCLUDE_DIR}")

FIND_LIBRARY(LEMON_LIBRARY NAMES CoinorLemon)
IF(NOT LEMON_LIBRARY)
  IF(UNIX)
    SET(LEMON_LIB_NAME "libemon.a")
  ELSEIF(WIN32)
    SET(LEMON_LIB_NAME "lemon.lib")
  ENDIF(UNIX)
  SET(LEMON_LIBRARY "/usr/lib64/${LEMON_LIB_NAME}" CACHE FILEPATH "LEMON library")
ENDIF(NOT LEMON_LIBRARY)

SET(LEMON_LIBRARIES "${LEMON_LIBRARY}")
IF(EXISTS ${LEMON_LIBRARY})
  SET(LEMON_FOUND TRUE)
ENDIF()

MARK_AS_ADVANCED(LEMON_LIBRARY LEMON_INCLUDE_DIR LEMON_FOUND)
